=== pdfcomment.sty ===
-- pdfcomment.sty (v3.0b) (<- v3.0a)

2026-06-15
  * remove marginnote patches for tagging support. It is done by the marginnote package directly.

-- pdfcomment.sty (v3.0a) (<- v2.4a)

2026-06-12 
  * Full rewrite to use the PDF management and add tagging support. 
  * add \pdfsquaretooltip
  * correct and document \pdfreply
         

-- pdfcomment.sty (v2.4a) (<- v2.4) (Commit: f467678cc1b5aaf7a008a31c29de2f55e98ecc17)

2018/11/01  Bugfix: fix "Wrong driver `hpdftex.def'" warning when using lualatex [jk]

            
            
-- pdfcomment.sty (v2.4) (<- v2.3.2dev 2016/06/13) (Commit: 0ce1f75284cf0cba7956076ebccac32c7f181f31)

2016/05/29  compatibility fix for luatex v0.85+ [jk]
            by loading the luatex85 package

2016/05/29  upgraded obsolete datetime to datetime2 [jk]
            
2016/06/13  Bugfix: incorrect positions of PDF text annotations with dvips [jk]
            removed \vspace{\normalbaselineskip}            
            
            
            
-- pdfcomment.sty (v2.3b) (<- v2.3.1dev 2015/04/10) (Commit: 382b38b2e17e4853fbc537250aabc6c42160df2a)

2012/09/30  added 'pdfencoding=auto' while loading hyperref [jk]
            Needed for Unicode bookmarks in XeTeX and LuaTeX

2015/04/10  Bugfix: incorrect vertical position of superscripts in \pdftooltip [jk]
            
            reported and patched by Ross Moore
            
2015/04/10  Bugfix: change zero width in \pdfcomment and \pdfmargincomment [jk]
            to make the comments visible in both evince and the internal viewer of texstudio

            reported by shaniaki (BitBucket #7)
            
2015/04/23  improve appearance of tooltips with Mac Preview (at least)

            feature request by Ross Moore

2015/09/08  expand comment argument in \pdftooltip before pushing it through \pdfstringdef

            feature request by Robert Terwilliger (BitBucket #18)
            
2016/03/26  dropped support for \pdfreply


-- pdfcomment.sty (v2.3a) (<- v2.3 2012/09/28) (Commit: 0752b119ceff2e866fb7a00331661bff57113bbd)

2012/09/28  Bugfix: problem with boxes around tooltips [jk]
            spurious backslash in "/Ff/65536\space%" in line 2967, see:
            https://bitbucket.org/kleberj/pdfcomment/issue/8/pdftooltip-tooltip-area-is-displayed-like
            http://tex.stackexchange.com/questions/34698/strange-appearance-of-tooltips-produced-by-pdfcomment

            reported by: diabonas

-- pdfcomment.sty (v2.3) (<- v2.2.16dev 2012/03/13) (Commit: ad8cf0b2bed753142c5f96bdc584e5a89c7285ea)

2012/03/07  reimplemented \pdfmarkupcomment by using soulpos.sty [jk]
            (old implementation of twocolumn mode dumped)
              much better support of non standard text cases, like:
              \twocolumn: feature request by: Ren� Schwarz, Thomas Feller, Til Birnstiel
              setspace.sty: feature request by: Andrew Dawson
              enumerate, itemize, ...

2012/08/11  added support for twocolumn mode in \pdfsidelinecomment [jk]

2012/07/04  added option local to \pdfcommentsetup [jk]
            
            feature request by: Florent Chervet

-- pdfcomment.sty (v2.2a) (<- v2.2 2012/01/25)

2012/01/25  revised documentation [jk]
              project moved to https://bitbucket.org/kleberj/pdfcomment/

-- pdfcomment.sty (v2.2) (<- v2.1.8dev 2011/05/21) -- (svn rev 16 (-> SVN repository BerliOS))

2011/05/23  revised documentation [jk]
              added information about escape commands in \pdfstringdef
              used for conversion of comments to PDFDocEncoding/PDFUnicode

            feature request by: Max Funk

2011/05/21  added support for mathmode in \pdftooltip [jk]

2011/05/19  added \pdftooltip which allows annotating objects with tooltips [jk]

2011/05/01  revised automatic deleting of StrikeOut markup comments (option printSOfinal), [jk]
            if final=true or disable=true.
            Option SOSpace is no longer needed

2011/03/22  allow setting of disable globally [jk]
              \pdfcommentsetup{disable} + \pdfcomment[disable=false]{comment}
              => will enable this single PDF annotation

            feature request by: Zvi Gilboa

2011/01/18  added options printSOfinal,SOspace [jk]
              printSOfinal=false will not typeset the markup text in a StrikeOut annotation
              if the option final or disable is used!
              SOspace=false will not add a space in front of the markup text,
              which is not wanted in some cases (e.g. start of a new paragraph)

            feature request by: Marcel Dausend

-- pdfcomment.sty (v2.1) (<- v2.02dev 2010/12/11) -- (svn rev 61)

2010/12/11  added support for PDF reply system [jk]
              \pdfcomment[avatar=Joe,id=1]{comment}
              \pdfreply[avatar=Bob,id=2,replyto=1]{reply to comment}
            works for pdflatex only!

2010/11/25  added options id,date,timezone [jk]

2010/11/25  added support for new icon CrossHairs (Adobe Reader X) [jk]

2010/11/25  Bugfix: problem with \pdfmarkupcomment with page break [jk]

-- pdfcomment.sty (v2.0) (<- v1.63dev 2010/11/08) -- (svn rev 56)

2010/11/08  Bugfix: unwanted whitespace before comment commands [jk]
                    -> added \unskip
                    This removes whitespace before comment commands
                    and may change the reference point for hoffset
                    -> added global option version (1|2(default))
                       version=1 will preserve the old behavior
                       for old documents

            reported by: Stefan Pinnow

2010/11/05  added local option disable to all comment commands [jk]
            to "switch off" single comments

            feature request by: Stefan Pinnow

2010/11/05  changed definitions of options open and disable [jk]
            to choicekey* to check valid option values (true|false)

            feature request by: Jannis von Buttlar

-- pdfcomment.sty (v1.6) (<- v1.53dev 2010/08/07) -- (svn rev 51)

2010/08/04  added support for using \pdfmarkupcomment in math mode [jk]

            feature request by: Ross Moore (he also contributed ideas and code)

-- pdfcomment.sty (v1.5e) (<- v1.5d 2010/06/01) -- (svn rev 48)

2010/06/11  Bugfix: empty line, \pdfcomment, empty line produced two new [jk]
                    paragraphs even in final mode

            reported by: Marc-Andr� Michel

2010/05/05  revision of option declaration (code clean up) [jk] (svn rev 47)

-- pdfcomment.sty (v1.5d) (<- v1.5c 2010/03/09) -- (svn rev 46)

2010/03/16  Bugfix: faulty expansion broke hyperref's auto corrected conversions [jk]
                    of LaTeX commands like \$ or \textCR to PDFDocEncoding or
                    PDFUnicode in comments

            reported by: Guillaume Millet

-- pdfcomment.sty (v1.5c) (<- v1.5b 2009/11/10) -- (svn rev 45)

2010/03/09  Bugfix: \pdfsidelinecomment only worked on pages with arabic page numbers [jk]

            reported by: Fritz Moore

-- pdfcomment.sty (v1.5b) (<- v1.5a 2009/11/04) -- (svn rev 44)

2009/11/10  new option deadline [jk]
            -> new list styles with deadline

            feature request by: Michael Niedermair

-- pdfcomment.sty (v1.5a) (<- v1.5 2009/10/28) -- (svn rev 43)

2009/11/04  added options liststyle and heading to command \listofpdfcomments [jk]
            -> \setliststyle, \defineliststyle

2009/11/04  added checks for undefined avatars, styles and liststyles [jk]

-- pdfcomment.sty (v1.5) (<- v1.4c 2009/09/20) -- (svn rev 42)

2009/10/28  new command \listofpdfcomments [jk]

            feature request by: Michael Niedermair

2009/10/28  revision of documentation [jk]

-- pdfcomment.sty (v1.4c) (<- v1.4b 2009/09/20) -- (svn rev 41)

2009/09/21  revision of documentation [jk]
              added abbreviations for standard 14 fonts
              clarification of font embedding in PDF free text annotations
            minor bug fix

-- pdfcomment.sty (v1.4b) (<- v1.4a 2009/07/13) -- (svn rev 40)

2009/07/23  Bugfix: problem with different default values for page size [jk] (svn rev 40)
              with pdflatex (dvi mode) and dvips/dvipdfmx
              => better specify page size with an option like a4paper

            Bugfix: changed procedure of loading hyperref to prevent warnings
                    with dvipdfmx

            reported by: Jin-Hwan Cho

-- pdfcomment.sty (v1.4a) (<- v1.4 2009/04/01) -- (svn rev 39)

2009/07/13  Bugfix: (pdf}latex crashed with pdf text annoatations in tabulars [jk] (svn rev 39)
              error with \vskip in hmode within \marginnote
              changed to \vspace in \pdfcomment and \pdfmargincomment / deleted \vss [uf]
              changed \baselineskip (=0 in tables) -> \normalbaselineskip [hv]
              see Msg-ID: <h377a3$avp$1@kleberj.eternal-september.org> ff

            reported by: Thomas K�nig
            fixed by: Ulrike Fischer, Herbert Vo�

-- pdfcomment.sty (v1.4) (<- v1.35dev 2009/04/01) -- (svn rev 36)

2009/03/26  merged "line annotations" [jk] (svn rev 35)
              \pdflinecomment, \pdfpolylinecomment
              -> \pdflinecomment (type=line|polyline|polygon)

2009/03/26  merged some options [jk] (svn rev 34)
              line,calloutline,vertices -> line
              type,polytype -> type

2009/03/20  new annotation type: sideline [jk] (svn rev 33)
              -> pdfsidelinecomment
                 new option: linesep

            change from linend, lineends -> linebegin, lineend

2009/03/18  new annotation types: line and polyline (polytype=polyline|polygon) [jk] (svn rev 31)
              -> \pdflinecomment, pdfpolylinecomment
                 new options: line, lineends, caption, captionhoffset, captionvoffset,
                              vertices, polytpye

2009/03/17  new annotation types: square and circle annotations [jk] (svn rev 30)
              -> \pdfsquarecomment, \pdfcirclecomment
                 new option: icolor ("inner" color)

2009/03/16  revision of \pdffreetextcomment [jk] (svn rev 28)
              implementation of more features of pdf freetext annotations
              -> new options: font, fontsize, fontcolor, justification,
                 borderstyle, dashstyle, linewidth, bse, bsei,
                 type, calloutline, lineend

-- pdfcomment.sty (v1.3) (<- v1.25dev 2009/03/09) -- (svn rev 27)

2009/03/05  new annotation type: text markup annotation [jk] (svn rev 24)
              -> \pdfmarkupcomment, new option markup

2009/02/24  Bugfix: avatar and style system [jk] (svn rev 13)
              wrong key families (copy and paste)

2009/02/21  code clean up [jk] (svn rev 13)
              moved repeated code into commands


-- pdfcomment.sty (v1.2) (<- v1.13dev 2009/02/19) -- (svn rev 12)

2009/02/15  new annotation type FreeText [jk] (svn rev 11)
              \pdffreetextcomment

2009/02/15  added style system [jk]
              for logical split in avatar system
              personal options -> avatar
              style options -> style
              -> combination of avatar=Josef, style=MyComment

2009/02/14  new global style and local command options: [jk] (svn rev 10)
              voffset, hoffset, width, height, depth, opacity

2009/02/13  added "/F 4" to all annotations to allow printing [jk] (svn rev 8)

            contributed by Christian Feuers�nger (pdfmarginpar.sty)

2008/12/17  introduction of avatar system [jk] (svn rev 7)
              - \defineavatar
              - \avatar
              - global and local options (avatar)


-- pdfcomment.sty (v1.1) (<- v1.05dev 2008/12/12) -- (svn rev 6)

2008/12/12  disabled global options draft, final, dvipdfmx at "\AtBeginDocument" [jk] (svn rev 5)
              Using the options draft, final and dvipdfmx in \pdfcommentsetup
              makes absolutely no sense! Therefore, they are switched off at
              "\AtBeginDocument" and a warning is issued by xkeyval.sty, if used.

2008/12/10  problems with too old versions of hyperref [jk] (svn rev 4)
              no \HyColor@XZeroOneThreeFour (hycolor.sty)
              Change: \RequirePackage{hyperref}[2007/04/09] (v6.76a)

            reported by Gabriel Cardona

2008/12/10  implementation of two new global options [jk] (svn rev 4)
              draft: pdf annotations are typeset (default)
              final: pdf annotations are not typeset

2008/12/10  added code for the support of other drivers than pdflatex [jk] (svn rev 2)
              various changes for the support of
              latex->dvips->ps2pdf, latex->dvipdfmx, xelatex
              new option dvipdfmx

            contributed by Alexander Grahn


=== pdfcomment bundle ===

-- pdfcomment bundle --

2008/12/07  IPO of pdfcomment on CTAN

